SIEVE-DUMP(1)

NAME
sieve-dump - Pigeonhole's Sieve script binary dump tool

SYNOPSIS
sieve-dump [options] sieve-binary [out-file]

DESCRIPTION

The sieve-dump command is part of the Pigeonhole Project (pigeonhole(7)), which adds Sieve (RFC 5228) support to the Dovecot secure IMAP and POP3 server (dovecot(1)).

Using the sieve-dump command, Sieve binaries, which are produced for instance by sievec(1), can be transformed into a human-readable textual representation. This can provide valuable insight in how the Sieve script is executed. This is also particularly useful to view corrupt binaries that can result from bugs in the Sieve implementation. This tool is intended mainly for development purposes, so normally system administrators and users will not need to use this tool.

The format of the output is not explained here in detail, but it should be relatively easy to understand. The Sieve binaries comprise a set of data blocks, each of which can contain arbitrary data. For the base language implementation two blocks are used: the first containing a specification of all required language extensions and the second containing the main Sieve program. Compiled Sieve programs are represented as flat byte code and therefore the dump of the main program is a disassembly listing of the interpreter operations. Extensions can define new operations and use additional blocks. Therefore, the output of sieve-dump depends greatly on the language extensions used when compiling the binary.

OPTIONS

-c config-file
    Alternative Dovecot configuration file path.

-D  Enable Sieve debugging.

-h  Produce per-block hexdump output of the whole binary instead of the normal human-readable output.

-o setting=value
    Overrides the configuration setting from /usr/pkg/etc/dovecot/dovecot.conf and from the userdb with the given value. In order to override multiple settings, the -o option may be specified multiple times.

-u user
    Run the Sieve script for the given user. When omitted, the command will be executed with the environment of the currently logged in user.

-x extensions
    Set the available extensions. The parameter is a space-separated list of the active extensions. By prepending the extension identifiers with + or -, extensions can be included or excluded relative to the configured set of active extensions. If no extensions have a + or - prefix, only those extensions that are explicitly listed will be enabled. Unknown extensions are ignored and a warning is produced. For example -x "+imapflags -enotify" will enable the deprecated imapflags extension and disable the enotify extension. The rest of the active extensions depends on the sieve_extensions and sieve_global_extensions settings. By default, i.e. when sieve_extensions and sieve_global_extensions remain unconfigured, all supported extensions are available, except for deprecated extensions or those that are still under development.

ARGUMENTS

sieve-binary
    Specifies the Sieve binary file that needs to be dumped.

out-file
    Specifies where the output must be written. This argument is optional. If omitted, the output is written to stdout.

EXIT STATUS
sieve-dump will exit with one of the following values:

0   Dump was successful. (EX_OK, EXIT_SUCCESS)

1   Operation failed. This is returned for almost all failures. (EXIT_FAILURE)

64  Invalid parameter given. (EX_USAGE)

FILES

/usr/pkg/etc/dovecot/dovecot.conf
    Dovecot's main configuration file.

/usr/pkg/etc/dovecot/conf.d/90-sieve.conf
    Sieve interpreter settings (included from Dovecot's main configuration file)

REPORTING BUGS
Report bugs, including doveconf -n output, to the Dovecot Mailing List <dovecot@dovecot.org>. Information about reporting bugs is available at: http://dovecot.org/bugreport.html

SEE ALSO
dovecot(1), dovecot-lda(1), sieve-filter(1), sieve-test(1), sievec(1), pigeonhole(7)